﻿# Projecte EDD
Grup: Dimecres 3
Membres: Iván López Castillo, Pep Puig Soler, Alejandro Martínez Ramos

# Objectius del Projecte

Els components que integrarem en aquest circuit seran:​

1. Crear una PCB que permeti controlar el funcionament dels diferents components que componen el maleter d’un cotxe en específic.
2. Implementar el relé calefactor del vidre. ​
3. Dissenyar un control de seguretat mitjançant un sensor de moviment. ​
4. Fer que la porta darrera del cotxe s’obri mitjançant: una apertura manual, un sensor (detecció a nivell de terra) i un calefactor per el vidre del maleter.

​Amb aquest enfocament, aspirem a crear un sistema electrònic complet i funcional que satisfaci les necessitats i requeriments especificat


## Llista de components

|Components |Model| Voltatge (V) | Corrent |
|:----------------|:---------|:------------------|:-|
|Motor|[PLS-G22](https://www.johnsonelectric.com/pub/media/image/tmp/metric-imperial/datasheet-PLS-G22_2.pdf)​|12|10A|
|Sensor de moviment|[PL-Q873-02](https://www.snapeda.com/parts/PL-Q873-02/KEMET/view-part/?ref=search&t=infrared%20sensor)|3.3| |
|Relé calefactor|[G8N-1U-DC12](https://www.snapeda.com/parts/G8N-1U-DC12/Omron%20Electronics/datasheet/)​|3.3|30A|
|DB-9 connector|[MHDB9SP](https://www.mhconnectors.com/storage/components/mhdb_sp_1.pdf)| | |
|Microcontrolador|[DSPIC 33 CK256MP502](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU16/ProductDocuments/DataSheets/dsPIC33CK256MC506-Family-Data-Sheet-DS70005473C.pdf)​ |12|300mA|
|Transceiver CAN |[SN65HVD26x](https://www.snapeda.com/parts/SN65HVD267D/Texas%20Instruments/datasheet/)​ |3.3​ |10-20mA|
|Regulador de Voltatge |[MCP1702-3602E/TO](https://www.mouser.es/datasheet/2/268/22008E-70956.pdf)​|3.3​|250mA|
|Driver del Motor|[DRV8872DDA](https://www.snapeda.com/parts/DRV8872DDA/Texas%20Instruments/datasheet/)|12|20A|
|SWITCH​| [TMAG5131-Q1](https://www.ti.com/product/TMAG5131-Q1)​ |12​|1.25mA​|
|Sensor​ |[PL-Q873-02](https://www.snapeda.com/parts/PL-Q873-02/KEMET/datasheet/)| 12|25mA |
|R Shunt|[CSS2H-2512](https://www.snapeda.com/parts/CSS2H-2512K-2L00F/Bourns/datasheet/)| | |
|Conector|[DT04-12PA](https://www.snapeda.com/parts/DT04-12PA/TE%20Connectivity%20Deutsch%20Connectors/datasheet/)| | |
|Oscil·lador Microcontrolador|[CM7V-T1A-32.768KHZ-9PF-20PPM-TB-QA](https://www.snapeda.com/parts/CM7V-T1A-32.768KHZ-9PF-20PPM-TB-QA/Micro%20Crystal/datasheet/)| | |
|EEPROM| [M24M02-DWMN3TP_K](https://www.snapeda.com/parts/M24M02-DWMN3TP/K/STMicroelectronics/datasheet/) |3.3| 10uA - 3.5mA|

## Actualitzacions

| Data    | Autor | Versió  | Actualització                  |
| ------ | ------ | ------------------------------ |
| 26/03  | Pep  | V1 | Recerca de las empremtes y dels footprints|
| 27/03  | Alex    | V1 | Actualització del Diagrama de Blocs |
| 30/03  | Ivan    | V1 |Investigació dels pins |
| 02/03  | Ivan  | V1 |Creació del Markdown |
|02/03  | Alex, Pep, Ivan  | V1 | Primera versió (en brut) del esquemàtic           |
|03/03| Alex, Pep, Ivan |V1.1| Actualització dels components | 
|07/04| Alex |V1.2| Canvi del Microcontrolador (Model 502), adició de components i implementació de comunicació I2C | 
|09/04| Ivan |V1.2.1| Reestrocturar i corregir esquemàtic|
|09/04| Pep | V1.2.2| Afegir EEPROM i cristalls |
|14/04| Alex | V1.2.3| Implementar EEPROM i cristalls al esquemàtic, asignar footprints als components i corregir errors d'elements passius |
|14/04| Alex, Pep, Ivan | V1.2.4| Començament del placing i del routing, en concret el cristall oscil·lador |
|15/04| Alex | V2 | Actualització del routing i redistribució de components aixi com divisió de zona PWR i SIGNAL|

## AVISOS

Juanlu, si ho revises aquesta nit, mencionar que encara no hi ha cristal implementat degut a que el mòdel escollit és massa gran i l'hem de substituir per un altre. També dir-te que tenim en compte que s'han d'implementar els plans d'alimentació, ja estan connectats els components de manera que podem establir una zona de PWRGND i un altre de GND i juntar-les a través del regulador. Si tot va bé, podrem acabar el disseny sense cap capa intermitja.